petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESFASGetSmootherUp

Gets the upsmoother on a level.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASGetSmootherUp(SNES snes, PetscInt level, SNES *smooth)

### Input Parameters

| snes | - the multigrid context
| level | - the level (0 is coarsest)

### Output Parameters

smooth - the smoother

### See Also

SNESFASSetInjection(), SNESFASSetRestriction()

### Level

advanced

### Location

src/snes/impls/fas/fasfunc.c
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages